﻿using System;

namespace AreaRectangleCSharp
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("iNetTutor.com");
            Console.WriteLine("Welcome to the Area of Rectangle Solver!");

            double length, width;

            while (true)
            {
                Console.WriteLine("Please enter the length of the rectangle:");
                string lengthInput = Console.ReadLine();

                if (double.TryParse(lengthInput, out length) && length > 0)
                    break;

                Console.WriteLine("Invalid input. Please enter a valid positive number for the length.");
            }

            while (true)
            {
                Console.WriteLine("Please enter the width of the rectangle:");
                string widthInput = Console.ReadLine();

                if (double.TryParse(widthInput, out width) && width > 0)
                    break;

                Console.WriteLine("Invalid input. Please enter a valid positive number for the width.");
            }

            double area = length * width;
            double perimeter = 2 * (length + width);

            Console.WriteLine($"The area of the rectangle is: {area}");
            Console.WriteLine($"The perimeter of the rectangle is: {perimeter}");

            Console.WriteLine("Press any key to exit.");
            Console.ReadKey();
        }
    }

}